Index: WAeUP_SRP/trunk/skins/waeup_student/layout_accommodation_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/layout_accommodation_view.pt	(revision 772)
+++ 	(revision )
@@ -1,36 +1,0 @@
-<!-- a layout_lib macro -->
-<!-- $Id: layout_lib_default_view.pt 34052 2006-03-06 14:59:24Z atchertchian $ -->
-<metal:block define-macro="default_view"
-  tal:define="layout options/layout;
-              dm options/datastructure/getDataModel;
-              widgets python:context.getRenderedWidgets(layout);
-              fields python:('session',
-                                 'bed',
-                                 'student_status',
-                                 'acco_res_sc_pin',
-                                 'acco_res_date',
-                                 'acco_maint_sc_pin', 
-                                 'acco_maint_date',
-                                 )"
-                                 >
-  <table cellpadding="2" cellspacing="2" summary="layout">
-    <tr tal:repeat="field fields">
-      <tal:block tal:define="cell python: widgets[field]">
-        <tal:block define="widget cell/widget">
-          <div tal:attributes="class cell/widget_css_class|string:label;
-            id python:widget.getHtmlWidgetId()+'_widget';">
-            <td >
-             <span class="dlabel"
-                    tal:condition="widget/label"
-                    tal:content="widget/label">label</span>:
-            </td>
-            <td> 
-               <span tal:condition="cell" tal:content="structure cell/widget_rendered"></span>
-               <span tal:condition="not:cell/widget_rendered"> none </span>
-            </td>
-          </div>
-        </tal:block>
-      </tal:block>
-    </tr>
-  </table>
-</metal:block>
Index: WAeUP_SRP/trunk/skins/waeup_student/layout_accommodation_view.pt_not_used
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/layout_accommodation_view.pt_not_used	(revision 774)
+++ WAeUP_SRP/trunk/skins/waeup_student/layout_accommodation_view.pt_not_used	(revision 774)
@@ -0,0 +1,36 @@
+<!-- a layout_lib macro -->
+<!-- $Id: layout_lib_default_view.pt 34052 2006-03-06 14:59:24Z atchertchian $ -->
+<metal:block define-macro="default_view"
+  tal:define="layout options/layout;
+              dm options/datastructure/getDataModel;
+              widgets python:context.getRenderedWidgets(layout);
+              fields python:('session',
+                                 'bed',
+                                 'student_status',
+                                 'acco_res_sc_pin',
+                                 'acco_res_date',
+                                 'acco_maint_sc_pin', 
+                                 'acco_maint_date',
+                                 )"
+                                 >
+  <table cellpadding="2" cellspacing="2" summary="layout">
+    <tr tal:repeat="field fields">
+      <tal:block tal:define="cell python: widgets[field]">
+        <tal:block define="widget cell/widget">
+          <div tal:attributes="class cell/widget_css_class|string:label;
+            id python:widget.getHtmlWidgetId()+'_widget';">
+            <td >
+             <span class="dlabel"
+                    tal:condition="widget/label"
+                    tal:content="widget/label">label</span>:
+            </td>
+            <td> 
+               <span tal:condition="cell" tal:content="structure cell/widget_rendered"></span>
+               <span tal:condition="not:cell/widget_rendered"> none </span>
+            </td>
+          </div>
+        </tal:block>
+      </tal:block>
+    </tr>
+  </table>
+</metal:block>
Index: WAeUP_SRP/trunk/skins/waeup_student/layout_application_view_info.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/layout_application_view_info.pt	(revision 772)
+++ WAeUP_SRP/trunk/skins/waeup_student/layout_application_view_info.pt	(revision 774)
@@ -5,5 +5,5 @@
               dm options/datastructure/getDataModel;
               widgets python:context.getRenderedWidgets(layout);
-              fields python:('jamb_lastname','jamb_sex','app_email','app_mobile')"
+              fields python:('jamb_reg_no','jamb_lastname','jamb_sex','app_email','app_mobile')"
               >
   
Index: WAeUP_SRP/trunk/skins/waeup_student/layout_pume_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/layout_pume_view.pt	(revision 774)
+++ WAeUP_SRP/trunk/skins/waeup_student/layout_pume_view.pt	(revision 774)
@@ -0,0 +1,1 @@
+<metal:block use-macro="here/layout_waeup_lib/macros/table_view" />
Index: WAeUP_SRP/trunk/skins/waeup_student/layout_pume_view_slip.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/layout_pume_view_slip.pt	(revision 774)
+++ WAeUP_SRP/trunk/skins/waeup_student/layout_pume_view_slip.pt	(revision 774)
@@ -0,0 +1,32 @@
+<!-- a layout_lib macro -->
+<!-- $Id: layout_lib_default_view.pt 34052 2006-03-06 14:59:24Z atchertchian $ -->
+<metal:block define-macro="default_view"
+  tal:define="layout options/layout;
+              dm options/datastructure/getDataModel;
+              widgets python:context.getRenderedWidgets(layout);
+              fields python:('pume_gen_score',
+                                 'pume_eng_score',
+                                 'pume_tot_score',
+                                 )"
+                                 >
+  <table width="" cellpadding="2" cellspacing="0" summary="Form layout">
+    <tr tal:repeat="field fields">
+      <tal:block tal:define="cell python: widgets[field]">
+        <tal:block define="widget cell/widget">
+          <div tal:attributes="class cell/widget_css_class|string:label;
+            id python:widget.getHtmlWidgetId()+'_widget';">
+            <td width="180px">
+             <span class="dlabel"
+                    tal:condition="widget/label"
+                    tal:content="widget/label">label</span>:
+            </td>
+            <td> 
+               <span tal:condition="cell" tal:content="structure cell/widget_rendered"></span>
+               <span tal:condition="not:cell/widget_rendered"> none </span>
+            </td>
+          </div>
+        </tal:block>
+      </tal:block>
+    </tr>
+  </table>
+</metal:block>
Index: WAeUP_SRP/trunk/skins/waeup_student/pume_slip.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/pume_slip.pt	(revision 774)
+++ WAeUP_SRP/trunk/skins/waeup_student/pume_slip.pt	(revision 774)
@@ -0,0 +1,21 @@
+<metal:html tal:define="info context/getStudentInfo">
+  <metal:body use-macro="here/main_template/macros/master">
+    <metal:main fill-slot="main">
+      <span tal:condition="not: info">
+        <metal:block use-macro="here/error_not_found/macros/not_found" />
+      </span>
+      <h3>PUME Result Slip</h3>
+      <br />
+      <span tal:omit-tag=""
+            tal:content="structure python: info['app_doc'].render(proxy=info['app_doc'],
+            layout_mode='view_info', 
+            layout_id='student_application_fe')" 
+            />
+      <span tal:omit-tag=""
+            tal:content="structure python: info['pume_doc'].render(proxy=info['pume_doc'],
+            layout_mode='view_slip', 
+            layout_id='student_pume_fe')" 
+            />
+    </metal:main>
+  </metal:body>
+</metal:html>
Index: WAeUP_SRP/trunk/skins/waeup_student/pume_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/pume_view.pt	(revision 772)
+++ WAeUP_SRP/trunk/skins/waeup_student/pume_view.pt	(revision 774)
@@ -9,9 +9,9 @@
             
         <div style="text-align: right"
-             tal:condition="python:review_state=='admission_applied'">
-        <a href="" target="slip" tal:attributes="href string:application_slip"
+             tal:condition="python:review_state in ('admitted', )">
+        <a href="" target="slip" tal:attributes="href string:pume_slip"
             onclick="javascript:window.open('','slip','width=600, height=700, directories=no, toolbar=no, location=no, menubar=yes, scrollbars=yes, status=no, resizable=no, dependent=no')">
             <img tal:attributes="src string:${here/portal_url}/actionicon_print.png" />
-            Application Slip
+            PUME Result Slip
         </a>
         
@@ -23,5 +23,5 @@
               tal:content="structure python: info['pume_doc'].render(proxy=info['pume_doc'],
               layout_mode='view', 
-              layout_id='student_pume')" 
+              layout_id='student_pume_fe')" 
               />
       </span>
